// pages/scenicList/scenicList.js

import request from '../../utils/request'

Page({

    /**
     * 页面的初始数据
     */
    data: {
        scenicList:[],  //景点列表
        imageList:[],   //景点照片列表
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad:async function(options) {
        let imageList = this.data.imageList
        let imagePath = []
        let result = await request('/front/scenicSpotAndCallout')  //获取景点列表
        // console.log(result);
        //获取景点照片列表
        for(let i = 0;i < result.length;i++){
            let id = result[i].id
            // console.log(id);
            imagePath = await request('/front/findAllScenicSpotFilesPath/'+id) 
            // console.log(imagePath);
            imageList[i] = imagePath
            // 将景点照片添加到景点列表
            Object.assign(result[i],imagePath)
            // console.log(result);
        }
        this.setData({
            scenicList:result,
            imageList
        })
        // console.log(this.data.imageList);
        // console.log(this.data.scenicList);
    },

    //跳转到景点详情
    toScenicDetail(e) {
        // console.log(e);
        // console.log(e.currentTarget.dataset.index);
        // let scenicId = e.currentTarget.dataset.index
        let scenicId = e.currentTarget.dataset.item.id
        // console.log(scenicId);
        // 跳转传参
        wx.navigateTo({
            url: '/pages/scenicDetail/scenicDetail?id=' + scenicId,
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {
        wx.showToast({
          title: '没有更多啦',
          icon:'none'
        })
    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})